Package fr.gouv.vitam.functionaltest.cucumber.step

# Class CollectStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.CollectStep

public class CollectStep extends CommonStep
step defining collect behaviors

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TRANSACTION_RETURN_AN_ERROR`

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkOperationProject(String action)`
  Check result of action
  `void`
  `checkSkippableScenario()`
  This check is done before every scenario and it avoids failures if collect (external) service is not deployed!
  `void`
  `closeTransaction()`
  `void`
  `downloadTransactionSip()`
  `void`
  `find_project()`
  `void`
  `find_transaction()`
  `void`
  `generated_manifest_contains_binary_objects(int nbBinaryObjects)`
  `void`
  `generated_manifest_contains_complex_value(String value)`
  `void`
  `generated_manifest_contains_n_times_the_tag(int count, String tag)`
  `void`
  `generated_manifest_contains_physical_objects(int nbPhysicalObjects)`
  `void`
  `generated_manifest_contains_units(int nbUnits)`
  `void`
  `generated_manifest_contains_value(String values)`
  `void`
  `getUnitByDslQuery()`
  `void`
  `i_use_the_following_file_query(String jsonFilename)`
  define a json from a file to reuse it after
  `void`
  `init_project()`
  `void`
  `init_transaction()`
  `void`
  `json_metadata_are_for_particular_result(String filename)`
  `void`
  `purge_project()`
  purge project
  `void`
  `search_archive_unit()`
  `void`
  `sentSip(String status)`
  `void`
  `should_find_au()`
  `void`
  `should_upload_metadata_csv(String arboFileName)`
  `void`
  `should_upload_metadata_jsonl(String arboFileName)`
  `void`
  `should_upload_project_zip(String arboFileName)`
  `void`
  `should_upload_sip_zip(String arboFileName)`
  `void`
  `update_project(String name)`
  update field name of project
  `void`
  `update_transaction(String name)`
  update field name of transaction
  `void`
  `uploadBinary(String binaryFilename)`
  `void`
  `uploadGot()`
  `void`
  `uploadUnit()`
  `void`
  `verify_rattachement()`
  `void`
  `verifyKOStatus(String status)`
  `void`
  `verifyStatus(String status)`
  `void`
  `verifyTransactionStatus(String status)`
  `boolean`
  `waitTransaction(String status, int nbTry, long timeWait, TimeUnit timeUnit)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRANSACTION_RETURN_AN_ERROR

    public static final String TRANSACTION_RETURN_AN_ERROR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CollectStep

    public CollectStep(World world)

- ## Method Details

  - ### checkSkippableScenario

    @Given("^Le module de collect est deploy\u00e9") public void checkSkippableScenario()
    This check is done before every scenario and it avoids failures if collect (external) service is not deployed!

  - ### init_project

    @When("^j\'initialise le project") public void init_project() throws Throwable
    Throws:
      `Throwable`

  - ### i_use_the_following_file_query

    @When("^j\'utilise le fichier json suivant (.*)$") public void i_use_the_following_file_query(String jsonFilename) throws Throwable
    define a json from a file to reuse it after
    Parameters:
      `jsonFilename` - name of the file containing the json
    Throws:
      `Throwable`

  - ### find_project

    @When("^je recherche le projet") public void find_project() throws Throwable
    Throws:
      `Throwable`

  - ### update_project

    @When("^je met a jour le projet avec le nom (.*)$") public void update_project(String name) throws Throwable
    update field name of project
    Parameters:
      `name` -
    Throws:
      `Throwable`

  - ### update_transaction

    @When("^je met a jour la transaction avec le nom (.*)$") public void update_transaction(String name) throws Exception
    update field name of transaction
    Parameters:
      `name` -
    Throws:
      `Exception`

  - ### purge_project

    @When("^je supprime le projet") public void purge_project() throws Throwable
    purge project
    Throws:
      `Throwable`

  - ### checkOperationProject

    @Then("^le projet est (.*) en succ\u00e8s$") public void checkOperationProject(String action) throws InvalidParseOperationException
    Check result of action
    Parameters:
      `action` -
    Throws:
      `InvalidParseOperationException`

  - ### init_transaction

    @When("^j\'initialise une transaction") public void init_transaction() throws Throwable
    Throws:
      `Throwable`

  - ### find_transaction

    @When("^je recherche la transaction") public void find_transaction() throws Throwable
    Throws:
      `Throwable`

  - ### uploadUnit

    @When("^je cr\u00e9e une au") public void uploadUnit() throws Exception
    Throws:
      `Exception`

  - ### getUnitByDslQuery

    @When("^je recherche l\'au par rapport \u00e0 son titre") public void getUnitByDslQuery() throws Exception
    Throws:
      `Exception`

  - ### uploadGot

    @When("^je cr\u00e9e un GOT") public void uploadGot() throws Exception
    Throws:
      `Exception`

  - ### uploadBinary

    @When("^j\'upload le fichier suivant (.*)$") public void uploadBinary(String binaryFilename) throws Exception
    Throws:
      `Exception`

  - ### closeTransaction

    @When("^je valide la transaction sans erreur$") public void closeTransaction() throws Exception
    Throws:
      `Exception`

  - ### sentSip

    @When("^j\'envoie le SIP et je constate son statut (.*)$") public void sentSip(String status) throws Exception
    Throws:
      `Exception`

  - ### waitTransaction

    public boolean waitTransaction(String status, int nbTry, long timeWait, TimeUnit timeUnit) throws VitamException
    Throws:
      `VitamException`

  - ### verifyTransactionStatus

    @Given("^je constate que la transaction passe au statut (.*)$") public void verifyTransactionStatus(String status) throws Exception
    Throws:
      `Exception`

  - ### verifyKOStatus

    @Given("^je re\u00e7ois un statut KO depuis l\'ingest et je constate son statut (.*)$") public void verifyKOStatus(String status) throws Exception
    Throws:
      `Exception`

  - ### verifyStatus

    public void verifyStatus(String status) throws Exception
    Throws:
      `Exception`

  - ### verify_rattachement

    @When("^je v\u00e9rifie que l\'unit\u00e9 est rattach\u00e9 au noeud de l\'arbre de positionnement$") public void verify_rattachement() throws Throwable
    Throws:
      `Throwable`

  - ### should_upload_project_zip

    @When("^j\'envoie l\'arborescence bureautique suivante (.*)$") public void should_upload_project_zip(String arboFileName) throws Exception
    Throws:
      `Exception`

  - ### should_upload_sip_zip

    @When("^j\'importe le sip suivant (.*)$") public void should_upload_sip_zip(String arboFileName) throws Exception
    Throws:
      `Exception`

  - ### should_upload_metadata_csv

    @When("^j\'envoie un fichier de mise \u00e0 jour CSV (.*)$") public void should_upload_metadata_csv(String arboFileName) throws Exception
    Throws:
      `Exception`

  - ### should_upload_metadata_jsonl

    @When("^j\'envoie un fichier de mise \u00e0 jour JSONL (.*)$") public void should_upload_metadata_jsonl(String arboFileName) throws Exception
    Throws:
      `Exception`

  - ### json_metadata_are_for_particular_result

    @When("^je constate que des m\u00e9tadonn\u00e9es correspondent au fichier json (.+)$") public void json_metadata_are_for_particular_result(String filename) throws Throwable
    Throws:
      `Throwable`

  - ### should_find_au

    @When("^je constate qu\'une AU ainsi qu\'un GOT sont cr\u00e9\u00e9s") public void should_find_au() throws Exception
    Throws:
      `Exception`

  - ### search_archive_unit

    @When("^je recherche les unit\u00e9s archivistiques de la transaction$") public void search_archive_unit() throws Throwable
    Throws:
      `Throwable`

  - ### downloadTransactionSip

    @When("^je t\u00e9l\u00e9charge le SIP de la transaction$") public void downloadTransactionSip() throws Exception
    Throws:
      `Exception`

  - ### generated_manifest_contains_n_times_the_tag

    @Then("^le manifest g\u00e9n\u00e9r\u00e9 de la transaction contient (.*) balise[s]? de type (.*)$") public void generated_manifest_contains_n_times_the_tag(int count, String tag) throws IOException
    Throws:
      `IOException`

  - ### generated_manifest_contains_complex_value

    @Then("^le manifest g\u00e9n\u00e9r\u00e9 de la transaction contient la cha\u00eene de caract\u00e8res$") public void generated_manifest_contains_complex_value(String value) throws IOException
    Throws:
      `IOException`

  - ### generated_manifest_contains_units

    @Then("^le manifest g\u00e9n\u00e9r\u00e9 de la transaction contient (.*) unit\u00e9[s]? archivistique[s]?$") public void generated_manifest_contains_units(int nbUnits) throws IOException
    Throws:
      `IOException`

  - ### generated_manifest_contains_binary_objects

    @Then("^le manifest g\u00e9n\u00e9r\u00e9 de la transaction contient (.*) objet[s]? binaire[s]?$") public void generated_manifest_contains_binary_objects(int nbBinaryObjects) throws IOException
    Throws:
      `IOException`

  - ### generated_manifest_contains_physical_objects

    @Then("^le manifest g\u00e9n\u00e9r\u00e9 de la transaction contient (.*) objet[s]? physique[s]?$") public void generated_manifest_contains_physical_objects(int nbPhysicalObjects) throws IOException
    Throws:
      `IOException`

  - ### generated_manifest_contains_value

    @Then("^le manifest g\u00e9n\u00e9r\u00e9 de la transaction contient (?:la|les) valeur[s]? (.*)$") public void generated_manifest_contains_value(String values) throws IOException
    Throws:
      `IOException`